import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1
import "../engine.js" as CALC

MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "calculator"

    width: units.gu(50)
    height: units.gu(75)

    Tabs {
        id: tabs
        anchors.fill: parent

        // First tab begins here
        Tab {
            objectName: "Tab1"

            title: i18n.tr("Basic maths")

            // Tab content begins here
            page: Page {
                ListView{
                    id: view
                    anchors.fill: parent
                    model: TestsBase{}
                    delegate: Standard{
                        width: parent.width
                            Label{
                                anchors.centerIn: parent
                                text: operation+"="+CALC.Parser.parse(operation)
                            }
                            UbuntuShape{
                                color: CALC.Parser.parse(operation) == expected ? "green" : "red"
                                width: units.gu(3)
                                height: units.gu(3)
                                anchors.right: parent.right
                                anchors.rightMargin: units.gu(1)
                                anchors.verticalCenter: parent.verticalCenter
                            }
                    }
                }
            }
        }
    }
}
